#ifndef __imonc_h__
#define __imonc_h__
#include <qobject.h>
#include <qpixmap.h>

class QStringList;
class ImoncGui;
class Client;
#if defined (WITH_KDE)
class KSystemTray;
#endif

class Imonc : public QObject
{
    Q_OBJECT

public:
    Imonc(const QString &pass, const QString &host, Q_UINT16 port);

    ~Imonc();

    ImoncGui* getGui();

public slots:
    void setStatus(int status, QString msg);
    void output(QString msg);
    void sendCmd();
    void setDate(QString date);
    void setRoute(int route);
    void setCircuitList(QStringList list);

    void setCh1Time(QString time);
    void setCh1ChargeTime(QString chargeTime);
    void setCh1Charge(QString charge);
    void setCh1Phone(QString phone);
    void setCh2Time(QString time);
    void setCh2ChargeTime(QString chargeTime);
    void setCh2Charge(QString charge);
    void setCh2Phone(QString phone);
    
signals:
    void closeConnection();
    void openConnection();
    void sendMsg(QString msg);
    void setStatusIcon(const QPixmap pixmap);

private:
    int status_;
    ImoncGui* gui_;
    Client* client_;
#if defined (WITH_KDE)
    KSystemTray* tray_;
#endif
};
#endif
